macbook osx 10.5.4 over 10.5.5 trying to install

Discussion in 'macOS' started by insideyou, Jan 17, 2009.

  1. insideyou macrumors newbie

    Joined:
    Jan 17, 2009
    #1
    Hello Guys,

    I got a little problem. I have a new aluminium macbook 2.4ghz with leopard 10.5.5, but i want to install 10.5.4. I have a dvd of a friend of my who has 10.5.4, but when I put the dvd in my macbook it won't go to the setup mode when holding the c-button. So then I am trying to installing it when am logged in my macbook, but then it's only keeps restarting over and over again. Is it possible to put 10.5.4 on the new macbook or can't I use the dvd of my friend because its only for his macbook??

    Can anyone help me with this please???
     
  2. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #2
    You can't use anyone else's install disks. They don't work.

    What problem do you have with 10.5.5 that can't be solved by upgrading to 10.5.6?
     
  3. kenn macrumors member

    Joined:
    Jan 10, 2009
    #3
    Why? It sounds weird to me. Say you lost your own set of disks. How do you start running again?
     
  4. frenetic macrumors regular

    Joined:
    Feb 11, 2004
    Location:
    Amsterdam
    #4
    10.5.4 was out before the unibody macbooks were out, hence 10.5.4 doesn't contain hardware definitions etc... Actually, even your regular 10.5.5 build will not work since the 10.5.5 that came with the unibody macbooks was a special build. What will work, however, are future "general purpose" Leopard install discs that contain at least 10.5.6.
     
  5. insideyou thread starter macrumors newbie

    Joined:
    Jan 17, 2009
    #5
    the reason why I want to downgrade it is because I want to jailbreak my iphone, but the software has to be on 10.5.4 thats why.
     
  6. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #6
    Buy OS X retail or go to an Apple Store and get replacements.

    Why? What software needs 10.5.4?
     
  7. old-wiz macrumors G3

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #7
    I don't think the upgrade disks will allow you to downgrade backwards.
     
  8. bizzle macrumors 6502a

    Joined:
    Jun 29, 2008
  9. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #9
    I'm such an idiot. You're RIGHT. You CAN'T run 10.5.4 on those!
     
  10. insideyou thread starter macrumors newbie

    Joined:
    Jan 17, 2009
    #10
    is it possible to use jailbreak for the iPhone in bootcamp windows??
     
  11. MrM macrumors 6502

    Joined:
    Oct 13, 2008
    Location:
    California
    #11
    Click
     

Share This Page